$ontext
 example 5.1
$offtext

Set c    /n tomato,
sp, sj, sm, kr, vr, ka, mp, mj, p, kp, bj, bp /;

Parameters
gm(c) "     (/)" /n 277,sp 37, sj 30, sm 23,
kr 9, vr 17, ka 60, mp 105, mj 15, p 326, kp 389, bj 52, bp 117/

lab(c) "    (/)" /n 6.5, sp 1.3, sj 1.1, sm 1.1,
kr 1.1, vr 1.1, ka 1.7, mp 5.5, mj 5.3, p 150, kp 90, bj 1.9, bp 2 /

cap(c) "    (/)" /n 442, sp 62, sj 52, sm 44, kr 44,
vr 44, ka 126,mp 115, mj 95, p 543, kp 499, bj 97, bp 119 /

;

PARAMETERS
 lab_n(c) "    (/) "
 gm_n(c) "     (/), "
;

SCALARS
gm_max "    "
lab_max "    "
;

SCALARS
gm_w "        "
lab_w "        "
;



lab_max = smax(c,lab(c));
gm_max = smax(c,gm(c));

lab_n(c) = lab(c) / lab_max;
gm_n(c) = gm(c) / gm_max;

display lab_max, gm_max, lab_n, gm_n;


Positive Variables  x(c) "(hectares)";

Variable  z objective function value;

Equations
 Obj objective
 land_constraint Land constraint
 labor_constraint Labour constraint
 wCapital_constraint Capital constraint
;

Obj..  sum(c, gm_w*x(c)*gm_n(c)-lab_w *x(c)*lab_n(c)) =e= z;

land_constraint.. sum(c, x(c)) =l= 30;

labor_constraint.. sum(c, x(c)*lab(c)) =l= 600;

wCapital_constraint..  sum(c, x(c)*cap(c)) =l= 5200;


Model Problem /all/;


* 1st WAY
SET w_combinations /1*5/;
PARAMETER gm_w_combination(w_combinations) /1 .2, 2 .4, 3 .6, 4 .8,5 1/;
PARAMETER results(w_combinations,c);

loop(w_combinations,
  gm_w=gm_w_combination(w_combinations); lab_w=1-gm_w;
  Solve Problem using LP maximizing z;
  results(w_combinations,c) = x.l(c);
);
display results;



* 2nd WAY
SET w_combinations2 /1*25/;
PARAMETER results2(w_combinations2,*);

loop(w_combinations2,
  gm_w=(1/card(w_combinations2))*ord(w_combinations2); lab_w=1-gm_w;
  Solve Problem using LP maximizing z;
  results2(w_combinations2,c) = x.l(c);
  results2(w_combinations2,'gm_weight') = gm_w;
  results2(w_combinations2,'lab_weight') = lab_w;
);
display results2;